Package com.emc.documentum.rest.constant

# Enum Class QueryType

java.lang.Object
java.lang.Enum<QueryType>
com.emc.documentum.rest.constant.QueryType

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<QueryType>`, `Constable`

public enum QueryType extends Enum<QueryType> implements IntegerValue
Enum for query type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLY`
  Represents the APPLY query type.
  `QUERY`
  Represents the QUERY query type.
  `READ`
  Represents the READQUERY query type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `type()`
  Gets query type
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static QueryType`
  `valueOf(int value)`
  Gets enum constant according to the input enum value
  `static QueryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final QueryType READ
    Represents the READQUERY query type.

  - ### QUERY

    public static final QueryType QUERY
    Represents the QUERY query type.

  - ### APPLY

    public static final QueryType APPLY
    Represents the APPLY query type.

- ## Method Details

  - ### values

    public static QueryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QueryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### type

    public int type()
    Gets query type
    Returns:
      query type

  - ### valueOf

    public static QueryType valueOf(int value)
    Gets enum constant according to the input enum value
    Parameters:
      `value` - enum value
    Returns:
      enum constant